QGIS Application - Bug report #16611
Cannot create Virtual Layer
2017-05-24 12:33 PM - dr -

Status: Closed

Priority: High

Assignee:

Category: Virtual Layers

Affected QGIS version:master Regression?: Yes
Operating System: Ubuntu Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corruptsdata: Copied to github as #: 24511
Description

Stack Trace:

./../src/app/qgisapp.cpp: 9823: (addVectorLayer) [25002ms] Creating new vector layer using

?layer=ogr:%2Fhome%2Frykov%2Fdownload%2F%D0%9F %D0%A0%D0%9E%D0%91%D0%AB%2F1.shp:qqq:UTF-8&query=SEl

=SELECT%20*%20FROM%20qqq with baseName of virtual_layer and providerKey of virtual
./../src/core/qgsproviderregistry.cpp: 397: (createProvider) [Oms] Library name is /ust/lib/qgis/plugins/libvirtuallayerprovider.so
./../src/core/qgsproviderregistry.cpp: 397: (createProvider) [93ms] Library name is /ust/lib/qgis/plugins/libogrprovider.so
./../src/providers/ogr/qgsogrprovider.cpp: 451: (QgsOgrProvider) [0ms] Data source uri is [/home/rykov/download/INMPOBbI/1.shp]
./../src/providers/ogr/qgsogrprovider.cpp: 359: (AnalyzeURI) [Oms] Data source uri is [/home/rykov/download/lTPOBbI/1.shp]
./../src/providers/ogr/qgsogrprovider.cpp: 3491: (open) [0ms] mFilePath: /home/rykov/download/["MPOBbI/1.shp
./../src/providers/ogr/qgsogrprovider.cpp: 3492: (open) [Oms] mLayerindex: 0

./../src/providers/ogr/qgsogrprovider.cpp: 3493:
./../src/providers/ogr/qgsogrprovider.cpp: 3494:
.J../src/providers/ogr/qgsogrprovider.cpp: 3547:
./../src/providers/ogr/qgsogrprovider.cpp: 569: (setSubsetString) [1ms] checking validity

open) [0ms] mLayerName:
open) [0ms] mSubsetString:

—~ o~~~

open) [0ms] OGR opened using Driver ESRI Shapefile

.J../src/providers/ogr/qgsogrprovider.cpp: 571: (setSubsetString) [0ms] Done checking validity
.J../src/providers/ogr/qgsogrprovider.cpp: 3575: (open) [Oms] Data source is valid
.J../src/core/qgsproviderregistry.cpp: 419: (createProvider) [0ms] Instantiated the data provider plugin: ogr
../../src/providers/ogr/qgsogrprovider.cpp: 2899: (crs) [Oms] Entering.
./../src/providers/ogr/qgsogrprovider.cpp: 2899: (crs) [0ms] Entering.
./../src/core/qgsproviderregistry.cpp: 419: (createProvider) [2ms] Instantiated the data provider plugin: virtual
./../src/core/qgsvectorlayer.cpp: 1481: (setDataProvider) [0ms] Instantiated the data provider plugin
./../src/core/qgsvectorlayer.cpp: 2590: (setCoordinateSystem) [Oms] ----- Computing Coordinate System
./../src/app/qgisapp.cpp: 9843: (addVectorLayer) [0ms] got valid layer with 0 sublayers

Fatal: ASSERT failure in QList<T>::at: "index out of range", file /usr/include/x86_64-linux-gnu/qt5/QtCore/qglist.h, line 510
QGIS died on signal -1"/usr/bin/qgis.bin": not in executable format: File format not recognized
2025-12-15 1/3

LECT%




"/usr/bin/qgis.bin": not in executable format: File format not recognized
[Current thread is 1 (LWP 14747)]

#0 0x0520151bin ?? ()

No symbol table info available.

Backtrace stopped: Cannot access memory at address 0x83f51f70

[3]+ Stopped qgis

Related issues:
Duplicates QGIS Application - Bug report # 16593: Segmentation fault when imp... Closed

2017-05-22

History

#1 - 2017-05-24 01:40 PM - Salvatore Larosa
- Status changed from Open to Feedback

Please, could you provide steps and sample data how you creating the virtual layer on?

Also, could you provide the revision of the master version?

#2 - 2017-05-24 02:07 PM - dr -

1. Open any vector layer (I've tested on GeoJSON and Shapefile)
2. Layer -> Add Layer -> Add Virtual Layer

3. Import layer from first step

4. Press OK

5. QGIS hangs

Version: commit:d55fa22

#3 - 2017-05-24 02:18 PM - Giovanni Manghi

dr - wrote:

1. Open any vector layer (I've tested on GeoJSON and Shapefile)
2. Layer -> Add Layer -> Add Virtual Layer

3. Import layer from first step

4. Press OK

5. QGIS hangs

Version: commit:d55fa22

| have master compiled with a later commit than yours, just followed the steps and no issue (ubuntu 16.04).

#4 - 2017-05-24 04:15 PM - dr -

It looks like Q5 related issus. Is your QGIS built upon the same Qt version?

#5 - 2017-05-24 06:22 PM - Giovanni Manghi
dr - wrote:

It looks like Q5 related issus. Is your QGIS built upon the same Qt version?

QGIS version

2.99.0-Master

QGIS code branch

Compiled against Qt

5.5.1

Running against Qt
Compiled against GDAL/OGR
21.3

Running against GDAL/OGR
Compiled against GEOS
3.5.1-CAPI-1.9.1

Running against GEOS
PostgreSQL Client Version
9.5.6

SpatiaLite Version

QWT Version

6.1.2

PROJ.4 Version

QScintilla2 Version

2.9.1

#6 - 2017-05-24 07:03 PM - Jiirgen Fischer

- Duplicates Bug report #16593: Segmentation fault when importing CSV file with coordinates added

#7 - 2017-05-24 07:03 PM - Jiirgen Fischer

- Status changed from Feedback to Closed

Duplicate of #16593
